package app

import "lc-fangdaosha/global"

// 摄像机 结构体  Camera
type Camera struct {
	global.GVA_MODEL
	Name       string `json:"name" form:"name" gorm:"column:name;comment:摄像机名称;"`                              //摄像机名称
	Gid        uint   `json:"gid" form:"gid" gorm:"column:gid;comment:网关id;size:unit;"`                        //网关id
	SN         string `json:"sn" form:"sn" gorm:"column:sn;comment:摄像机序列号;"`                                   //摄像机序列号
	MacAddress string `json:"macAddress" form:"macAddress" gorm:"column:mac_address;comment:摄像机地址;"`           //摄像机地址
	IsDeleted  uint   `json:"isDeleted" form:"isDeleted" gorm:"column:is_deleted;comment:是否已删除;size:unit;"`    //是否已删除
	IsRegisted uint   `json:"isRegisted" form:"isRegisted" gorm:"column:is_registed;comment:是否已注册;size:unit;"` //是否已注册
	StreamId   string `json:"streamId" form:"streamId" gorm:"column:stream_id;comment:流id;"`                   //流id
	StreamUrl  string `json:"streamUrl" form:"streamUrl" gorm:"column:stream_url;comment:流地址;"`                //流地址
}

// TableName 摄像机 Camera自定义表名 camera
func (Camera) TableName() string {
	return "camera"
}
