package app

import "lc-fangdaosha/global"

// 网关 结构体  Gateway
type Gateway struct {
	global.GVA_MODEL
	Uid         int    `json:"uid" form:"uid" gorm:"column:uid;comment:用户id;"`                          //用户id
	GatewayName string `json:"gatewayName" form:"gatewayName" gorm:"column:gateway_name;comment:网关名称;"` //网关名称
	Isn         string `json:"isn" form:"isn" gorm:"column:isn;comment:内部序列号;"`                         //内部序列号
	Osn         string `json:"osn" form:"osn" gorm:"column:osn;comment:外部序列号;"`                         //外部序列号
	IsDeleted   int    `json:"isDeleted" form:"isDeleted" gorm:"column:is_deleted;comment:是否已删除;"`      //是否已删除
	Description string `json:"description" form:"description" gorm:"column:description;comment:描述;"`    //描述
}

// TableName 网关 Gateway自定义表名 gateway
func (Gateway) TableName() string {
	return "gateway"
}

type Devices struct {
	Gid uint   `json:"gid"`
	Osn string `json:"osn"`
	Cid uint   `json:"cid"`
	Csn string `json:"csn"`
}
