package isapi

import (
	"fmt"
	"gorm.io/gorm"
	"lc-fangdaosha/global"
	"lc-fangdaosha/model/isapi"
)

type IsApiService struct {
}

// GetSipUserID 获取Sip用户ID
func GetSipUserID() (int, error) {
	var is isapi.SipId
	var is2 isapi.SipId
	err := global.Db.Debug().Transaction(func(tx *gorm.DB) error {
		err := tx.Select("id, user_id").Model(&is).First(&is).Debug().Error
		if err != nil {
			return err
		}
		err = tx.Model(&is2).Where("id = ?", is.Id).Update("user_id", is.UserId+1).Debug().Error
		if err != nil {
			return err
		}
		fmt.Println("user_id ", is.UserId)
		return nil
	})
	return is.UserId, err
}
