package isapi

// Operation 操作相关主题
type Operation string

const (
	GetDeviceInfo Operation = "GetDeviceInfo" //获取摄像头信息
	GetSystemCap  Operation = "GetSystemCap"  //获取系统能力
	GetChanCap    Operation = "GetChanCap"    //获取指定通道摄像头能力
	PutEmail      Operation = "PutEmail"

	SetHosts   Operation = "SetHosts" //配置事件监听服务器
	SetSIP     Operation = "SetSIP"   //配置sip服务器
	SetSIPInfo Operation = "SetSIPInfo"

	GetTamperDetection Operation = "GetTamperDetection" //获取指定通道视频遮盖检测规则
	PutTamperDetection Operation = "PutTamperDetection" //配置指定通道视频遮盖检测规则

	GetMotionDetection Operation = "GetMotionDetection" //获取移动侦测参数
	PutMotionDetection Operation = "PutMotionDetection" //配置移动侦测参数

	GetLineDetectionCap Operation = "GetLineDetectionCap" //获取单个通道越界规则参数配置能力
	GetLineDetectionCal Operation = "GetLineDetectionCal" //获取监测目标最大和最小尺寸
	PutLineDetectionCal Operation = "PutLineDetectionCal" //配置监测目标最大和最小尺寸
	GetLineDetection    Operation = "GetLineDetection"    //获取越界侦测参数
	PutLineDetection    Operation = "PutLineDetection"    //配置越界侦测参数

	GetFieldDetectionCap Operation = "GetFieldDetectionCap" //获取单个通道区域入侵规则参数配置能力
	GetFieldDetectionCal Operation = "GetFieldDetectionCal" //获取监测目标最大和最小尺寸
	PutFieldDetectionCal Operation = "PutFieldDetectionCal" //配置监测目标最大和最小尺寸
	GetFieldDetection    Operation = "GetFieldDetection"    //获取区域入侵侦测参数
	PutFieldDetection    Operation = "PutFieldDetection"    //配置区域入侵侦测参数

	GetRegionEntranceCap Operation = "GetRegionEntranceCap" //获取单个通道进入区域规则参数配置能力
	GetRegionEntranceCal Operation = "GetRegionEntranceCal" //获取监测目标最大和最小尺寸
	PutRegionEntranceCal Operation = "PutRegionEntranceCal" //配置监测目标最大和最小尺寸
	GetRegionEntrance    Operation = "GetRegionEntrance"    //获取进入区域侦测参数
	PutRegionEntrance    Operation = "PutRegionEntrance"    //配置进入区域侦测参数

	GetRegionExitingCap Operation = "GetRegionExitingCap" //获取单个通道离开区域规则参数配置能力
	GetRegionExitingCal Operation = "GetRegionExitingCal" //获取监测目标最大和最小尺寸
	PutRegionExitingCal Operation = "PutRegionExitingCal" //配置监测目标最大和最小尺寸
	GetRegionExiting    Operation = "GetRegionExiting"    //获取离开区域侦测参数
	PutRegionExiting    Operation = "PutRegionExiting"    //配置离开区域侦测参数
)
