package app

import (
	"github.com/gin-gonic/gin"
	v1 "lc-fangdaosha/api/v1"
)

type EventRouter struct {
}

func (c *EventRouter) InitInfoRouter(Router *gin.RouterGroup) {
	var eApi = v1.ApiGroupApp.AppApiGroup.EventApi
	gwGroup := Router.Group("event")
	{
		gwGroup.GET("list", eApi.List)            //获取事件列表
		gwGroup.GET("dictionary", eApi.EventType) //获取事件类型字典
	}
}
